# MicroIRC daemon, high performance IRC daemon based on uIRC

## Requirements

- CMake (tested on 3.17)
- C99 compiler
- uIRC library [https://git.redxen.eu/caskd/uIRC]
- libconfig (optional) [https://github.com/hyperrealm/libconfig]

## Building

First, create the required build files (usually the Makefile)
```sh
cmake -B build/ -DCMAKE_BUILD_TYPE=Release .
```
|     Option         |                              Description                               |   Type   | Default | Supported since |
|:------------------:|:----------------------------------------------------------------------:|:--------:|:-------:|:---------------:|
|  BUILD_LIBCONFIG   |                    Build and link against libconfig                    | boolean  |  true   |   2020.01.04    |
|  CODE_ANALYZER     |                       Use static analysis tools                        | boolean  |  false  |   2020.10.30    |
|  CODE_COVERAGE     |                     Generate code coverage output                      | boolean  |  false  |   2020.10.30    |

Following that, just use your build system and compile it

Example for **make**:
```sh
make -C build
```

You now should have the binary built at `build/uircd` *(or your build output path)*

## License

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
